{ lib, pkgs, config, myconfig,  ... }:
let
    cfg = config.services.myWebsites.Nassime;
    varDir = "/var/lib/ftp/nassime";
    env = myconfig.env.websites.nassime;
in {
  options.services.myWebsites.Nassime = {
    production = {
      enable = lib.mkEnableOption "enable Nassime's website";
    };
  };

  config = lib.mkIf cfg.production.enable {
    services.webstats.sites = [ { name = "nassime.bouya.org"; } ];

    security.acme.certs."ftp".extraDomains."nassime.bouya.org" = null;

    services.websites.production.vhostConfs.nassime = {
      certName     = "nassime";
      certMainHost = "nassime.bouya.org";
      hosts        = ["nassime.bouya.org" ];
      root         = varDir;
      extraConfig  = [
        ''
        Use Stats nassime.bouya.org
        ServerAdmin ${env.server_admin}

        <Directory ${varDir}>
          DirectoryIndex index.php index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride None
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
